Mailinglist Archive: opensuse-security-announce (31 mails)

< Previous Next >
[security-announce] openSUSE-SU-2011:0993-1: important: apache2: Fixed a remote denial of service via byte-ranges
openSUSE Security Update: apache2: Fixed a remote denial of service via
byte-ranges
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0993-1
Rating: important
References: #713966
Cross-References: CVE-2011-3192
Affected Products:
openSUSE 11.4
openSUSE 11.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update fixes a remote denial of service bug (memory
exhaustion) in the Apache 2 HTTP server, that could be
triggered by remote attackers using multiple overlapping
Request Ranges . (CVE-2011-3192)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch apache2-5089

- openSUSE 11.3:

zypper in -t patch apache2-5089

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

apache2-2.2.17-4.7.1
apache2-devel-2.2.17-4.7.1
apache2-example-certificates-2.2.17-4.7.1
apache2-example-pages-2.2.17-4.7.1
apache2-itk-2.2.17-4.7.1
apache2-prefork-2.2.17-4.7.1
apache2-utils-2.2.17-4.7.1
apache2-worker-2.2.17-4.7.1

- openSUSE 11.4 (noarch):

apache2-doc-2.2.17-4.7.1

- openSUSE 11.3 (i586 x86_64):

apache2-2.2.15-4.5.1
apache2-devel-2.2.15-4.5.1
apache2-example-certificates-2.2.15-4.5.1
apache2-example-pages-2.2.15-4.5.1
apache2-itk-2.2.15-4.5.1
apache2-prefork-2.2.15-4.5.1
apache2-utils-2.2.15-4.5.1
apache2-worker-2.2.15-4.5.1

- openSUSE 11.3 (noarch):

apache2-doc-2.2.15-4.5.1


References:

http://support.novell.com/security/cve/CVE-2011-3192.html
https://bugzilla.novell.com/713966

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages